#!/bin/bash

echo "Unlinking individual dotfiles"
if [ -L "$HOME/.Xresources" ]; then
  unlink $HOME/.Xresources
fi

if [ -L "$HOME/.Xdefaults" ]; then
  unlink $HOME/.Xdefaults
fi

if [ -d "$HOME/.processing" ]; then
  if [ -f "$HOME/.processing/preferences.txt" ]; then
    rm -rf $HOME/.processing/preferences.txt
  fi
fi


if [ -d "$HOME/.dotfiles" ]; then 
  OLDIR=$PWD

  cd $HOME/.dotfiles
  for dir in $(find . -maxdepth 1 -type d -printf "%f\n" | grep -v '\.'); do 
    stow -D -d $HOME/.dotfiles -t $HOME $dir &> /dev/null
  done

  cd $OLDIR
fi

echo "Unlinking dotfiles dir"
if [ -L "$HOME/.dotfiles" ]; then
  unlink $HOME/.dotfiles 
fi

echo "Cleaning out dir"
rm -rf $HOME/.config/dali/out/*
